<nb-card class="col-md-12 col-lg-12 col-xxxl-12 op" [nbSpinner]="loading"  nbSpinnerStatus="danger"
nbSpinnerSize="large"
nbSpinnerMessage="">
  <nb-card-body>
    <nb-stepper orientation="horizontal" #stepper disableStepNavigation>
      <nb-step [label]="labelOne" >
        <ng-template #labelOne>First step</ng-template>
        <nb-alert status="primary" > <h3 style="color: black;">Binary Option Course</h3>
          <!-- <h3 style="color: black; text-decoration: line-through;">287 €</h3> -->
          <h3 style="color: black; ">99 €</h3>
        </nb-alert>
        
        <!-- <button nbButton nbStepperPrevious >prev</button> -->
        <button nbButton  (click)="paymentRequest()">Purchase</button>
      </nb-step>
      <nb-step label="Second step">
        <nb-alert status="primary" *ngIf="message.length>0 && !error">
          <h3 style="color: black;">Watch the following video <span style="color: #feb500;font-weight: bold">carefully to the end </span></h3>
          <div class="video-responsive"> <iframe width="560" height="315" src="https://www.youtube.com/embed/hpUM1j_NCws?controls=0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div>

        </nb-alert>
        <nb-alert status="primary" *ngIf="message.length>0 && error"><h3 style="color: black;">Purchase Result </h3>

        </nb-alert>
        <nb-alert status="danger" *ngIf="message.length>0 && error">{{message}}</nb-alert>
        <!-- <nb-alert status="success" *ngIf="message.length>0 && !error">{{message}}</nb-alert> -->
        <nb-alert status="warning" *ngIf="message.length>0 && !error" class="text-left"> <ul style="list-style-type:none;color: black;">
          <li style="font-weight: bold;font-size: 20px;color: black;">  TO SATRT TRADING:</li>
          <li style="font-weight: bold;font-size: 20px;color: black;">  <a style="color: black;" href="https://alpari.com/en/registration/?partner_id=1261025">Click here</a> (You will be referred directly to registration form )</li>
          <li style="color: black;"> <nb-icon icon="checkmark-square-2"></nb-icon> Fill out all the following options by your reliable information. Finally check the agreement option and click on “Continue” button.</li>
          <li style="color: black;"><nb-icon icon="checkmark-square-2"></nb-icon> Select your country and city.</li>
          <li style="color: black;"><nb-icon icon="checkmark-square-2"></nb-icon> Select one of the methods through SMS or Email to get verification code, enter the number displaying in the captcha box and click on “Get Code”button. Enter the received code and finally click on “Complete Registration” button.</li>
          <li style="color: black;"><nb-icon icon="checkmark-square-2"></nb-icon> In this step you are able to log in into your own account and set a strong password for yourself.
              Note: Password must be at least 8 characters and include capital and small letters, numbers and some special characters including @#$!</li>
      </ul>
      <p style="color: black;">
          * You can verify your account as the following:
          My account → Upload Documents
          Upload one of your reliable Documents like ID, Passport, Driver’s license and wait to be checked and confirmed.
      </p></nb-alert>

        <div class="row">
          <div class="col-sm">

        <nb-alert status="info" *ngIf="message.length>0 && !error">Season 1-Registration<button  nbButton (click)="download(1)">Download</button></nb-alert>
      </div>
      <div class="col-sm">
        <nb-alert status="info" *ngIf="message.length>0 && !error">Season 2-Candle Analysis<button  nbButton (click)="download(2)">Download</button></nb-alert>
      </div>
      <div class="col-sm">
        <nb-alert status="info" *ngIf="message.length>0 && !error">Season 3-Chart Devil<button  nbButton (click)="download(3)">Download</button></nb-alert>
      </div>
        <div class="col-sm">
        <nb-alert status="info" *ngIf="message.length>0 && !error">Season 4-Capital Management<button  nbButton (click)="download(4)">Download</button></nb-alert>
      </div>
        </div>
        <div class="row">
        <div class="col-sm">
        <nb-alert status="info" *ngIf="message.length>0 && !error">Season 5-Hidden Strategy<button  nbButton (click)="download(5)">Download</button></nb-alert>
      </div>
        <div class="col-sm">
        <nb-alert status="info" *ngIf="message.length>0 && !error">Season 6-Red Green Strategy<button  nbButton (click)="download(6)">Download</button></nb-alert>
      </div>
        <div class="col-sm">
        <nb-alert status="info" *ngIf="message.length>0 && !error">Season 7-Monday Strategy<button  nbButton (click)="download(7)">Download</button></nb-alert>
      </div>
        <div class="col-sm">
        <nb-alert status="info" *ngIf="message.length>0 && !error">Season 8-Stepping Strategy<button  nbButton (click)="download(8)">Download</button></nb-alert>
      </div>
      </div>
        <button *ngIf="error" nbButton nbStepperPrevious>prev</button>
        <!-- <button *ngIf="!error" nbButton >Download</button> -->
      </nb-step>
      <!-- <nb-step label="Third step">
        <h3>Result Purchase</h3>
 
        <nb-alert status="success" *ngIf="message.length>0 && error">{{message}}</nb-alert>
        <nb-alert status="success" *ngIf="message.length>0 && !error">{{message}}</nb-alert>
        <button *ngIf="!error" nbButton nbStepperPrevious>prev</button>
        <button *ngIf="error" nbButton >Download</button>

       
      </nb-step> -->
     
    </nb-stepper>
  </nb-card-body>
</nb-card>

 <!-- <div class="steppers-container row"> 
  <div class="col-md-12 col-lg-6 col-xxxl-6">
    <nb-card>
      <nb-card-body>
        <nb-stepper #stepper>
          <nb-step [stepControl]="firstForm" label="First step">
            <form [formGroup]="firstForm" (ngSubmit)="onFirstSubmit()" class="step-container">
              <p class="lorem">
                Lorizzle ipsum dolizzle stuff fizzle, consectetuer adipiscing break it down. Nullizzle sapien velizzle,
                my shizz pimpin', shizzle my nizzle crocodizzle shut the shizzle up, gravida vizzle, dang.
              </p>
              <div class="input-group">
                <input type="text" placeholder="Enter your name" class="form-control" formControlName="firstCtrl"
                       [ngClass]="{'form-control-danger': firstForm.invalid && (firstForm.dirty || firstForm.touched)}">
              </div>
              <button nbButton nbStepperNext>next</button>
            </form>
          </nb-step>
          <nb-step [stepControl]="secondForm" label="Second step">
            <form [formGroup]="secondForm" (ngSubmit)="onSecondSubmit()" class="step-container">
              <p class="lorem">
                Pellentesque we gonna chung tortor.
                Sizzle pizzle. Fizzle izzle dolor dapibus fo shizzle mah nizzle fo rizzle, mah home g-dizzle tempus tempor.
                Maurizzle cool nibh owned turpizzle. My shizz fo shizzle tortor.
              </p>
              <div class="input-group">
                <input type="text" placeholder="Enter favorite movie" class="form-control" formControlName="secondCtrl"
                       [ngClass]="{'form-control-danger': secondForm.invalid && (secondForm.dirty || secondForm.touched)}">
              </div>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
            </form>
          </nb-step>
          <nb-step [stepControl]="thirdForm" label="Third step">
            <form [formGroup]="thirdForm" (ngSubmit)="onThirdSubmit()" class="step-container">
              <p class="lorem">
                Things boom shackalack rhoncus yo. In fo shizzle my nizzle gangsta platea dictumst. Check it out pot.
              </p>
              <div class="input-group">
                <input type="text" placeholder="Enter something" class="form-control" formControlName="thirdCtrl"
                       [ngClass]="{'form-control-danger': thirdForm.invalid && (thirdForm.dirty || thirdForm.touched)}">
              </div>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>Confirm</button>
            </form>
          </nb-step>
          <nb-step [stepControl]="thirdForm" [hidden]="true" label="Third step">
            <div class="step-container">
              <h3>Wizard completed!</h3>
              <button nbButton (click)="stepper.reset()">Try again</button>
            </div>
          </nb-step>
        </nb-stepper>
      </nb-card-body>
    </nb-card>
  </div>

  <div class="col-md-12 col-lg-6 col-xxxl-6">
    <nb-card size="medium">
      <nb-card-body>
        <nb-stepper orientation="vertical">
          <nb-step label="First step">
            <h3>Step content #1</h3>
            <p class="lorem">
              Proin varius accumsan semper. Praesent consequat tincidunt sagittis. Curabitur egestas sem a ipsum bibendum,
              sit amet fringilla orci efficitur. Nam bibendum lectus ut viverra tristique. Fusce eu pulvinar magna, quis
              viverra ex. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent metus turpis, commodo vel
              placerat quis, lobortis in ligula.
            </p>
            <button nbButton disabled nbStepperNext>prev</button>
            <button nbButton nbStepperNext>next</button>
          </nb-step>
          <nb-step label="Second step">
            <h3>Step content #2</h3>
            <p class="lorem">
              Curabitur luctus mattis risus nec condimentum. Donec at dui turpis. Sed vehicula fringilla rutrum. Nullam
              sed ornare magna. Mauris vitae laoreet diam. Mauris fermentum ligula at lacinia semper. Nulla placerat dui
              eu sapien pellentesque, eu placerat leo luctus. Cras pharetra blandit fermentum.
            </p>
            <button nbButton nbStepperPrevious>prev</button>
            <button nbButton nbStepperNext>next</button>
          </nb-step>
          <nb-step label="Third step">
            <h3>Step content #3</h3>
            <p class="lorem">
              Proin varius accumsan semper. Praesent consequat tincidunt sagittis. Curabitur egestas sem a ipsum bibendum,
              sit amet fringilla orci efficitur. Nam bibendum lectus ut viverra tristique. Fusce eu pulvinar magna, quis
              viverra ex. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent metus turpis, commodo vel
              placerat quis, lobortis in ligula.
            </p>
            <p class="lorem">
              Curabitur luctus mattis risus nec condimentum. Donec at dui turpis. Sed vehicula fringilla rutrum. Nullam
              sed ornare magna. Mauris vitae laoreet diam. Mauris fermentum ligula at lacinia semper. Nulla placerat dui
              eu sapien pellentesque, eu placerat leo luctus. Cras pharetra blandit fermentum.
            </p>
            <button nbButton nbStepperPrevious>prev</button>
            <button nbButton nbStepperNext>next</button>
          </nb-step>
          <nb-step label="Fourth step">
            <h3>Step content #4</h3>
            <p class="lorem">
              Proin varius accumsan semper. Praesent consequat tincidunt sagittis. Curabitur egestas sem a ipsum bibendum,
              sit amet fringilla orci efficitur. Nam bibendum lectus ut viverra tristique. Fusce eu pulvinar magna, quis
              viverra ex.
            </p>
            <button nbButton nbStepperPrevious>prev</button>
            <button nbButton disabled nbStepperNext>next</button>
          </nb-step>
        </nb-stepper>
      </nb-card-body>
    </nb-card>
  </div>
</div> --> 
